import { MastraBase } from './chunk-3YTM7C7I.js';
import { RegisteredLogger } from './chunk-CMPPXW4U.js';

// src/mcp/types.ts
var MastraMCPServer = class extends MastraBase {
  /**
   * Name of the MCP server
   */
  name;
  /**
   * Version of the MCP server
   */
  version;
  /**
   * Tools registered with the MCP server
   */
  convertedTools;
  /**
   * Get a read-only view of the registered tools (for testing/introspection).
   */
  tools() {
    return this.convertedTools;
  }
  convertTools(tools) {
    console.error("Converting tools:", tools);
    throw new Error("Not implemented");
  }
  /**
   * Constructor for the MastraMCPServer
   * @param config Configuration options for the MCP server
   */
  constructor(config) {
    super({ component: RegisteredLogger.MCP_SERVER, name: config.name });
    this.name = config.name;
    this.version = config.version;
    this.convertedTools = this.convertTools(config.tools);
  }
};

export { MastraMCPServer };
