'use strict';

var chunkB4C2IQ24_cjs = require('./chunk-B4C2IQ24.cjs');
var chunkO44MSFMZ_cjs = require('./chunk-O44MSFMZ.cjs');

// src/mcp/types.ts
var MastraMCPServer = class extends chunkB4C2IQ24_cjs.MastraBase {
  /**
   * Name of the MCP server
   */
  name;
  /**
   * Version of the MCP server
   */
  version;
  /**
   * Tools registered with the MCP server
   */
  convertedTools;
  /**
   * Get a read-only view of the registered tools (for testing/introspection).
   */
  tools() {
    return this.convertedTools;
  }
  convertTools(tools) {
    console.error("Converting tools:", tools);
    throw new Error("Not implemented");
  }
  /**
   * Constructor for the MastraMCPServer
   * @param config Configuration options for the MCP server
   */
  constructor(config) {
    super({ component: chunkO44MSFMZ_cjs.RegisteredLogger.MCP_SERVER, name: config.name });
    this.name = config.name;
    this.version = config.version;
    this.convertedTools = this.convertTools(config.tools);
  }
};

exports.MastraMCPServer = MastraMCPServer;
